<?php
/**
 * The template for displaying the footer
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 * @package Equable_Lite
 */

 $equable_lite_footer_logo = get_theme_mod('equable_lite_footer_logo' ); 
 
?>

	<?php get_template_part( 'template-parts/sidebars/sidebar', 'bottom' ); ?>

		<footer id="site-footer">
		
		<?php if ( get_theme_mod( 'equable_lite_footer_logo' ) ) : ?>
				<div id="footer-logo">
					<img id="footer-logo-image" src="<?php echo esc_url( $equable_lite_footer_logo ); ?>" />
				</div>
<?php endif; ?>
			<?php get_template_part( 'template-parts/sidebars/sidebar', 'footer' ); ?>
						
			<?php
					if ( has_nav_menu( 'social' ) ) : ?>
					<nav class="social-navigation" aria-label="<?php esc_attr_e( 'Footer Social Links Menu', 'equable-lite' ); ?>">
						<?php
							wp_nav_menu( array(
								'theme_location' => 'social',
								'menu_class'     => 'footer-social',
								'depth'          => 1,
								'link_before'    => '<span class="screen-reader-text">',
								'link_after'     => '</span>',
							) );
						?>
					</nav>

			 <nav id="footer-nav">
				<?php wp_nav_menu( array( 
						'theme_location' => 'footer', 
						'fallback_cb' => false, 
						'depth' => 1,
						'container' => false, 
						'menu_id' => 'footer-menu', 
					) ); 
				?>
			</nav>
					
				<?php endif;
				get_template_part( 'template-parts/footer/site', 'info' );
				?>

		</footer>
	</div>
</div>

	<?php wp_footer(); ?>

	</body>
</html>